/*
 *  OpenPiano - a MIDI-based piano trainer with an easy note presentation
 *  Copyright (C) 2008  Sascha Westermann
 *
 *  This program is free software; you can redistribute it and/or modify it 
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *  
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */

package openpiano.settings;
/**
 * Constant values for the application
 *
 * @author  Sascha Westermann
 * @version 1.0, 07/30/08
 */
public final class Constants {
	public static final String[] INSTRUMENTS = { "Acoustic Grand Piano", "Bright Acoustic Piano", "Electric Grand Piano",
	"Honky-tonk Piano", "Electric Piano 1", "Electric Piano 2", "Harpsichord", "Clavi", "Celesta",
	"Glockenspiel", "Music Box", "Vibraphone", "Marimba", "Xylophone", "Tubular Bells", "Dulcimer", 
	"Organ", "Percussive Organ", "Rock Organ", "Church Organ", "Reed Organ", "Accordion", "Harmonica",
	"Tango Accordion", "Acoustic Guitar (nylon)", "Acoustic Guitar (steel)", "Electric Guitar (jazz)",
	"Electric Guitar (clean)", "Electric Guitar (muted)", "Overdriven Guitar", "Distortion Guitar",
	"Guitar harmonics", "Acoustic Bass", "Electric Bass (finger)", "Electric Bass (pick)",
	"Fretless Bass", "Slap Bass 1", "Slap Bass 2", "Synth Bass 1", "Synth Bass 2", "Violin",
	"Viola", "Cello", "Contrabass", "Tremolo Strings", "Pizzicato Strings", "Orchestral Harp",
	"Timpani", "String Ensemble 1", "String Ensemble 2", "Synth Strings 1", "Synth Strings 2",
	"Voice Aahs", "Voice Oohs", "Synth Voice", "Orchestra Hit", "Trumpet", "Trombone", "Tuba",
	"Muted Trumpet", "French horn", "Brass Section", "Synth Brass 1", "Synth Brass 2", "Soprano Sax",
	"Alto Sax", "Tenor Sax", "Baritone Sax", "Oboe", "English Horn", "Bassoon", "Clarinet", "Piccolo",
	"Flute", "Recorder", "Pan Flute", "Blown Bottle", "Shakuhachi", "Whistle", "Ocarina", "Lead 1 (square)",
	"Lead 2 (sawtooth)", "Lead 3 (calliope)", "Lead 4 (chiff)", "Lead 5 (charang)", "Lead 6 (voice)",
	"Lead 7 (fifths)", "Lead 8 (bass + lead)", "Pad 1 (new age)", "Pad 2 (warm)", "Pad 3 (polysynth)",
	"Pad 4 (choir)", "Pad 5 (bowed)", "Pad 6 (metallic)", "Pad 7 (halo)", "Pad 8 (sweep)", "FX 1 (rain)",
	"FX 2 (soundtrack)", "FX 3 (crystal)", "FX 4 (atmosphere)", "FX 5 (brightness)", "FX 6 (goblins)",
	"FX 7 (echoes)", "FX 8 (sci-fi)", "Sitar", "Banjo", "Shamisen", "Koto", "Kalimba", "Bagpipe", "Fiddle",
	"Shanai", "Tinkle Bell", "Agogo Bells", "Steel Drums", "Woodblock", "Taiko Drum", "Melodic Tom",
	"Synth Drum", "Reverse Cymbal", "Guitar Fret Noise", "Breath Noise", "Seashore", "Bird Tweet", 
	"Telephone Ring", "Helicopter", "Applause", "Gunshot" };
	public final static float VIEWAREA=70.0f;
	public final static int VIEWBEAT=7;
	public static final float KEYDEPTH = 9.0f;
	public static final float KEYLENGTH = 2.08f;
	public static final float OCTAVELENGTH = KEYLENGTH*7;
	public static final float POS_END = 4.16f;
	public static final float[] POS_OCTAVE = { 4.16f,  5.50f,  6.24f,  7.96f,  8.32f,
		10.4f, 11.74f, 12.48f, 14.02f, 14.56f, 16.3f , 16.64f };
	public static final float[] POS_START = { 0.0f,  1.74f,  2.08f };
	public static final float STARTLENGTH = KEYLENGTH*2;
	public static final int BLUE = 0;
	public static final int GREEN = 1; 
	public static final int YELLOW = 2;
	public static final int BROWN = 3;
	
	public static final float[] COLORSTART = { 0.784f, 0.867f, 0.941f,
											   0.6f,   0.949f, 0.6f,
											   1.0f,   0.98f,  0.682f,
											   1.0f,   0.808f, 0.529f
											   };
	public static final float[] COLOREND =   { 0.129f, 0.31f,  0.549f,
											   0.0f,   0.404f, 0.0f,
											   0.706f, 0.706f, 0.0f,
											   0.47f,  0.282f, 0.0f
											   };
	public static final float SeekFactor = 3.0f;
	public static final int midiLoaderMaxHeight = 300;
	public static int FPS = 60;
}